lampp 1.7.7 or 1.8.1 + CentOS release 5.9/RHEL Solved

Problems with the Linux version of XAMPP, questions, comments, and anything related.

lampp 1.7.7 or 1.8.1 + CentOS release 5.9/RHEL Solved

Postby heberv » 28. January 2013 14:09

With the last glibc update ( glibc-2.5-107 ) on centos 5.9 (Final) 32bit, I receive this error trying to run lampp 1.7.7 or 1.8.1:

cat: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
/bin/sh: error while loading shared libraries: libdl.so.2: cannot open shared object file: No such file or directory
Stopping XAMPP for Linux ...
/bin/bash: error while loading shared libraries: libdl.so.2: cannot open shared object file: No such file or directory
/bin/bash: error while loading shared libraries: libdl.so.2: cannot open shared object file: No such file or directory
/bin/bash: error while loading shared libraries: libdl.so.2: cannot open shared object file: No such file or directory
/bin/bash: error while loading shared libraries: libdl.so.2: cannot open shared object file: No such file or directory
XAMPP stopped.

I need that lampp because the 1.8.x version dont have the zip.xx library.

Any sugestion? Thanks in advance.
heberv
 
Posts: 6
Joined: 09. October 2012 16:18
XAMPP Version: 5.6.3
Operating System: Linux Centos 6

Re: lampp 1.7.7 or 1.8.1 + CentOS release 5.9 (Final)

Postby heberv » 28. January 2013 21:08

Edit lampp and change on line 50:
if egrep "Fedora" /etc/redhat-release > /dev/null
to
if egrep "CentOS" /etc/redhat-release > /dev/null
heberv
 
Posts: 6
Joined: 09. October 2012 16:18
XAMPP Version: 5.6.3
Operating System: Linux Centos 6

Re: lampp 1.7.7 or 1.8.1 + CentOS release 5.9 (Final)

Postby JonB » 01. February 2013 17:32

Does that mean that was the 'fix' ??? (I see how that could be :mrgreen: )

Thanks
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: lampp 1.7.7 or 1.8.1 + CentOS release 5.9 (Final) [Solve

Postby bradrichmond » 03. April 2013 13:17

This absolutely works with a slightly different modification for Red Hat Enterprise Linux.

I made the following change to the same "line 50" in lampp.

Code: Select all
if egrep "Fedora" /etc/redhat-release > /dev/null
to
Code: Select all
if egrep "Red" /etc/redhat-release > /dev/null

it starts up just fine now.

What I discovered after opening the file "redhat-release" and seeing what's there; "Red Hat Enterprise Linux Client release 5.9 (Tikanga)" in my case. The script is just looking for a positive entry using egrep. I've seen where some people entered "Red Hat" and it works, but all really you need is a single pattern match, and it'll work just fine.
bradrichmond
 
Posts: 1
Joined: 03. April 2013 13:00
XAMPP Version: 5.6.3
Operating System: RHEL5

Re: lampp 1.7.7 or 1.8.1 + CentOS release 5.9/RHEL Solved

Postby JonB » 04. April 2013 17:01

OK, thanks bradrichmond for that update.

Good Luck XAMPP

8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: lampp 1.7.7 or 1.8.1 + CentOS release 5.9/RHEL Solved

Postby jcannonsr » 16. October 2013 14:26

I changed if egrep "9 " to if egrep "Red" and now all is well.
jcannonsr
 
Posts: 1
Joined: 16. October 2013 14:21
XAMPP Version: 5.5.19
Operating System: Linux


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 9 guests